/*************************************************************************
Title:    testing output to a HD44780 based LCD display.
Hardware: HD44780 compatible LCD text display
          ATmega if memory-mapped LCD interface is used
          any AVR with 7 free I/O pins if 4-bit IO port mode is used
**************************************************************************/
#include <stdlib.h>
#include <avr/io.h>
#include <util/delay.h>
#include "lcd_drv.h"


extern int main( void )        __attribute__((OS_main));

int main(void)
{

  lcd_init();

    while (1) {                           /* loop forever */
       
        lcd_clrscr();     /* clear display home cursor */

        /* put string to display */
        lcd_puts( "1234567890123456" );
	lcd_xy( 0, 1 );
        lcd_puts( "Uwe Steih " );
        
	_delay_ms(1000); 
    }
}
